# $Revision: 1.29 $, $Date: 2008/08/24 11:00:31 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for 1394 Digital Camera Specification
Summary(pl.UTF-8):	Biblioteka dla specyfikacji Kamera Cyfrowa 1394
Name:		libdc1394
Version:	2.0.2
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.sourceforge.net/libdc1394/%{name}-%{version}.tar.gz
# Source0-md5:	c2dc94e9568765f34f7a23b31b9c2f6d
Patch0:		%{name}-link.patch
Patch1:		%{name}-ac.patch
URL:		http://sourceforge.net/projects/libdc1394/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9.6
BuildRequires:	libraw1394-devel >= 1.2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXv-devel
Requires:	libraw1394 >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdc1394 is a library that is intended to provide a high level
programming interface for application developers who wish to control
IEEE 1394 based cameras that conform to the 1394-based Digital Camera
Specification (found at http://www.1394ta.org/).

%description -l pl.UTF-8
libdc1394 jest biblioteką, której założeniem jest dostarczenie
interfejsu wysokiego poziomu dla twórców oprogramowania pragnących
sterować kamerami skonstruowanymi w oparciu o IEEE 1394 zgodnie ze
specyfikacją Kamera Cyfrowa 1394 (dostępną pod
http://www.1394ta.org/).

%package devel
Summary:	libdc1394 header files
Summary(pl.UTF-8):	Pliki nagłówkowe libdc1394
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libraw1394-devel >= 1.2.0

%description devel
libdc1394 header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libdc1394.

%package static
Summary:	Static libdc1394 library
Summary(pl.UTF-8):	Statyczna biblioteka libdc1394
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdc1394 library.

%description static -l pl.UTF-8
Statyczna biblioteka libdc1394.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/dc1394_reset_bus
%attr(755,root,root) %{_bindir}/dc1394_vloopback
%attr(755,root,root) %{_libdir}/libdc1394.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdc1394.so.22
%{_mandir}/man1/dc1394_reset_bus.1*
%{_mandir}/man1/dc1394_vloopback.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdc1394.so
%{_libdir}/libdc1394.la
%{_includedir}/dc1394
%{_pkgconfigdir}/libdc1394-2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdc1394.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdc1394.spec,v $
Revision 1.29  2008/08/24 11:00:31  arekm
- release 2

Revision 1.28  2008/07/11 23:31:01  qboosh
- updated to 2.0.2
- added ac patch

Revision 1.27  2008/02/11 23:47:38  qboosh
- updated to 2.0.1

Revision 1.26  2008-01-07 20:47:31  qboosh
- updated to 2.0.0 release (soname changed since 1.2.2)
- added link patch

Revision 1.25  2007-12-18 00:01:22  shadzik
- 2.0.0-rc9 (well, coriander and vloopbakc should work with it too)

Revision 1.24  2007-12-17 23:07:44  shadzik
- up to 2.0.0rc5 (i know there's already rc9)
- no link patch needed

Revision 1.23  2007-08-26 22:44:22  qboosh
- updated to 1.2.2
- removed obsolete def patch
- License is LGPL (v2.1+)

Revision 1.22  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.20  2006/04/03 22:07:14  qboosh
- updated to 1.2.1, updated link patch not to require libSM

Revision 1.19  2006/04/02 22:17:48  qboosh
- sorted BRs

Revision 1.18  2006/03/12 09:10:23  pluto
- release 4 for rebuild with new libraw1394.

Revision 1.17  2006/02/12 19:15:24  freetz
- modular xorg deps, fixed build (patch added), rel.3

Revision 1.16  2005/10/29 18:47:32  arekm
- rel 2

Revision 1.15  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.14  2005/06/15 18:03:01  witekfl
- added bcond_without static_libs

Revision 1.13  2005/02/19 17:38:35  qboosh
- updated to 1.1.0 (note: new soname)

Revision 1.12  2004/10/21 21:25:21  qboosh
- updated to 1.0.0

Revision 1.11  2004/07/02 06:37:03  qboosh
- updated to 0.9.5

Revision 1.10  2004/06/05 09:21:53  qboosh
- updated to 0.9.4

Revision 1.9  2004/03/24 09:00:59  qboosh
- release 2

Revision 1.8  2004/03/24 08:58:26  qboosh
- lib64 fix

Revision 1.7  2004/02/22 00:41:36  qboosh
- updated to 0.9.3, added link patch

Revision 1.6  2003/12/07 01:44:10  qboosh
- updated to 0.9.2

Revision 1.5  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.4  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.3  2003/07/13 10:13:49  qboosh
- cleanup, removed autogenerated symlink
- BR: XFree86-devel (used by one of examples)

Revision 1.2  2003/07/12 22:35:15  ankry
- minor pl fixes

Revision 1.1  2003/07/12 17:56:21  freetz
- initial PLD release
